///////////////////////////////////////////////////////////////////////////////
// PMCDeviceDriver.cpp
#include "TcPch.h"
#pragma hdrstop

#include "PMCDeviceDriver.h"
#include "PMCDeviceClassFactory.h"

DECLARE_GENERIC_DEVICE(PMCDEVICEDRV)

IOSTATUS CPMCDeviceDriver::OnLoad( )
{
	//TRACE(_T("CObjClassFactory::OnLoad()\n") );
	m_pObjClassFactory = new CPMCDeviceClassFactory();

	return IOSTATUS_SUCCESS;
}

VOID CPMCDeviceDriver::OnUnLoad( )
{
	delete m_pObjClassFactory;
}

unsigned long _cdecl CPMCDeviceDriver::PMCDEVICEDRV_GetVersion( )
{
	return( (PMCDEVICEDRV_Major << 8) | PMCDEVICEDRV_Minor );
}

